Bug 1412981 - [abrt] cinnamon: subprocess.py:708:run:subprocess.CalledProcessError: Command '['python', '/home/demiralp/.local/share/cinnamon/applets/feeds@jonbrettdev.wordpress.com/getFeed.py', 'http://www.iso.org/iso/rss.xml?csnumber=33656&rss=detail']' returned ...
Summary: [abrt] cinnamon: subprocess.py:708:run:subprocess.CalledProcessError: Command...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e7bb7b662b0b72ff15dbba6b434...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 10:28 UTC by Fehmi Demiralp
Modified: 2017-11-18 18:46 UTC (History)
3 users (show)

Fixed In Version: cinnamon-3.6.3-1.fc27 cinnamon-3.6.3-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-18 03:44:45 UTC


Attachments (Terms of Use)
File: backtrace (1.17 KB, text/plain)
2017-01-13 10:28 UTC, Fehmi Demiralp
no flags Details
File: environ (1.46 KB, text/plain)
2017-01-13 10:28 UTC, Fehmi Demiralp
no flags Details

Description Fehmi Demiralp 2017-01-13 10:28:16 UTC
Description of problem:
I could not see any crash but that notification has appeared.

Version-Release number of selected component:
cinnamon-3.2.7-1.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /usr/bin/cinnamon-subprocess-wrapper 24 python /home/demiralp/.local/share/cinnamon/applets/feeds@jonbrettdev.wordpress.com/getFeed.py http://www.iso.org/iso/rss.xml?csnumber=33656&rss=detail
executable:     /usr/bin/cinnamon-subprocess-wrapper
kernel:         4.8.16-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1313

Truncated backtrace:
subprocess.py:708:run:subprocess.CalledProcessError: Command '['python', '/home/demiralp/.local/share/cinnamon/applets/feeds@jonbrettdev.wordpress.com/getFeed.py', 'http://www.iso.org/iso/rss.xml?csnumber=33656&rss=detail']' returned non-zero exit status 1

Traceback (most recent call last):
  File "/usr/bin/cinnamon-subprocess-wrapper", line 14, in <module>
    result = subprocess.check_output(sys.argv[2:])
  File "/usr/lib64/python3.5/subprocess.py", line 626, in check_output
    **kwargs).stdout
  File "/usr/lib64/python3.5/subprocess.py", line 708, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['python', '/home/demiralp/.local/share/cinnamon/applets/feeds@jonbrettdev.wordpress.com/getFeed.py', 'http://www.iso.org/iso/rss.xml?csnumber=33656&rss=detail']' returned non-zero exit status 1

Local variables in innermost frame:
popenargs: (['python', '/home/demiralp/.local/share/cinnamon/applets/feeds@jonbrettdev.wordpress.com/getFeed.py', 'http://www.iso.org/iso/rss.xml?csnumber=33656&rss=detail'],)
retcode: 1
stderr: None
process: <subprocess.Popen object at 0x7f0fd85850b8>
stdout: b''
kwargs: {'stdout': -1}
check: True
input: None
timeout: None

Comment 1 Fehmi Demiralp 2017-01-13 10:28:20 UTC
Created attachment 1240286 [details]
File: backtrace

Comment 2 Fehmi Demiralp 2017-01-13 10:28:21 UTC
Created attachment 1240287 [details]
File: environ

Comment 3 leigh scott 2017-01-13 11:38:33 UTC
The third-party applets feeds@jonbrettdev.wordpress.com requires python-feedparser to function 

sudo dnf install python-feedparser

Comment 4 Fedora Admin XMLRPC Client 2017-07-06 07:36:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Update System 2017-11-13 10:30:31 UTC
cinnamon-control-center-3.6.2-2.fc26 cinnamon-3.6.2-1.fc26 cinnamon-screensaver-3.6.1-1.fc26 cinnamon-translations-3.6.2-1.fc26 cinnamon-desktop-3.6.2-3.fc26 cjs-3.6.1-1.fc26 xapps-1.0.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 6 Fedora Update System 2017-11-13 10:31:09 UTC
cinnamon-control-center-3.6.2-2.fc27 cinnamon-screensaver-3.6.1-1.fc27 cinnamon-3.6.2-1.fc27 cinnamon-translations-3.6.2-1.fc27 cinnamon-desktop-3.6.2-3.fc27 cjs-3.6.1-1.fc27 xapps-1.0.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 7 Fedora Update System 2017-11-14 04:09:31 UTC
cinnamon-3.6.2-1.fc26, cinnamon-control-center-3.6.2-2.fc26, cinnamon-desktop-3.6.2-3.fc26, cinnamon-screensaver-3.6.1-1.fc26, cinnamon-translations-3.6.2-1.fc26, cjs-3.6.1-1.fc26, xapps-1.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 8 Fedora Update System 2017-11-14 10:57:52 UTC
cinnamon-3.6.2-1.fc27, cinnamon-control-center-3.6.2-2.fc27, cinnamon-desktop-3.6.2-3.fc27, cinnamon-screensaver-3.6.1-1.fc27, cinnamon-translations-3.6.2-1.fc27, cjs-3.6.1-1.fc27, xapps-1.0.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 9 Fedora Update System 2017-11-15 19:21:19 UTC
cinnamon-3.6.2-1.fc27 cinnamon-control-center-3.6.2-3.fc27 cinnamon-desktop-3.6.2-3.fc27 cinnamon-screensaver-3.6.1-1.fc27 cinnamon-translations-3.6.2-1.fc27 cjs-3.6.1-1.fc27 xapps-1.0.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 10 Fedora Update System 2017-11-15 19:22:02 UTC
cinnamon-3.6.2-1.fc26 cinnamon-control-center-3.6.2-3.fc26 cinnamon-desktop-3.6.2-3.fc26 cinnamon-screensaver-3.6.1-1.fc26 cinnamon-translations-3.6.2-1.fc26 cjs-3.6.1-1.fc26 xapps-1.0.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 11 Fedora End Of Life 2017-11-16 14:13:30 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora Update System 2017-11-17 18:53:12 UTC
cinnamon-3.6.2-1.fc27, cinnamon-control-center-3.6.2-3.fc27, cinnamon-desktop-3.6.2-3.fc27, cinnamon-screensaver-3.6.1-1.fc27, cinnamon-translations-3.6.2-1.fc27, cjs-3.6.1-1.fc27, xapps-1.0.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 13 Fedora Update System 2017-11-17 19:55:26 UTC
cinnamon-3.6.3-1.fc27 cinnamon-control-center-3.6.3-1.fc27 cinnamon-desktop-3.6.2-3.fc27 cinnamon-screensaver-3.6.1-1.fc27 cinnamon-translations-3.6.2-1.fc27 cjs-3.6.1-1.fc27 nemo-3.6.3-1.fc27 xapps-1.0.4-11.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 14 Fedora Update System 2017-11-18 01:43:18 UTC
cinnamon-3.6.2-1.fc26, cinnamon-control-center-3.6.2-3.fc26, cinnamon-desktop-3.6.2-3.fc26, cinnamon-screensaver-3.6.1-1.fc26, cinnamon-translations-3.6.2-1.fc26, cjs-3.6.1-1.fc26, xapps-1.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 15 Fedora Update System 2017-11-18 03:44:45 UTC
cinnamon-3.6.3-1.fc27, cinnamon-control-center-3.6.3-1.fc27, cinnamon-desktop-3.6.2-3.fc27, cinnamon-screensaver-3.6.1-1.fc27, cinnamon-translations-3.6.2-1.fc27, cjs-3.6.1-1.fc27, nemo-3.6.3-1.fc27, xapps-1.0.4-11.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-11-18 10:11:07 UTC
cinnamon-3.6.3-1.fc26 cinnamon-control-center-3.6.3-1.fc26 cinnamon-desktop-3.6.2-3.fc26 cinnamon-screensaver-3.6.1-1.fc26 cinnamon-translations-3.6.2-1.fc26 cjs-3.6.1-1.fc26 nemo-3.6.3-1.fc26 xapps-1.0.4-11.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 17 Fedora Update System 2017-11-18 18:46:19 UTC
cinnamon-3.6.3-1.fc26, cinnamon-control-center-3.6.3-1.fc26, cinnamon-desktop-3.6.2-3.fc26, cinnamon-screensaver-3.6.1-1.fc26, cinnamon-translations-3.6.2-1.fc26, cjs-3.6.1-1.fc26, nemo-3.6.3-1.fc26, xapps-1.0.4-11.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.